@use '@gouvfr/dsfr/src/module/media-query' as dsfr-media-query;

$header-height: 9.0313rem;
$header-h-lg: 7.2813rem;
$container-margin: 2.5rem;
$intro-height: calc(6rem + 1.5rem);
$form-height: 12rem;
$form-h-lg: calc(8.5rem + 1rem);

.cgu-container {
  overflow-y: scroll;
  max-height: calc(
    100vh - $header-height - $container-margin - $intro-height - $form-height
  );

  @include dsfr-media-query.respond-from('lg') {
    max-height: calc(
      100vh - $header-h-lg - $container-margin - $intro-height - $form-h-lg
    );
  }
}

.cgu-container .fr-table {
  p {
    font-size: inherit;
    margin-bottom: 0.3rem;
  }
}

.confidentialite-container .fr-table {
  p {
    font-size: inherit;
    margin-bottom: 0.3rem;
  }
}
